Update a preventive maintenance schedule
curl --request PUT \
--url https://api.bold-factory.com/v1/maintenance/preventiveSchedules/{scheduleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"workOrderTemplate": {
"assetReference": "<string>",
"causeReference": "<string>",
"auxiliaryCauseReferences": [
"<string>"
],
"notes": "<string>"
},
"trigger": {
"kind": "Periodic",
"periodic": {
"interval": 123,
"timezone": "<string>",
"times": [
"<string>"
],
"daysOfWeek": [],
"daysOfMonth": [
123
],
"lastDayOfMonth": true,
"monthlyPattern": {},
"between": {
"start": "<string>",
"end": "<string>"
},
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"skipDates": [
"2023-12-25"
]
}
},
"enabled": true
}
'import requests
url = "https://api.bold-factory.com/v1/maintenance/preventiveSchedules/{scheduleId}"
payload = {
"name": "<string>",
"workOrderTemplate": {
"assetReference": "<string>",
"causeReference": "<string>",
"auxiliaryCauseReferences": ["<string>"],
"notes": "<string>"
},
"trigger": {
"kind": "Periodic",
"periodic": {
"interval": 123,
"timezone": "<string>",
"times": ["<string>"],
"daysOfWeek": [],
"daysOfMonth": [123],
"lastDayOfMonth": True,
"monthlyPattern": {},
"between": {
"start": "<string>",
"end": "<string>"
},
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"skipDates": ["2023-12-25"]
}
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
workOrderTemplate: {
assetReference: '<string>',
causeReference: '<string>',
auxiliaryCauseReferences: ['<string>'],
notes: '<string>'
},
trigger: {
kind: 'Periodic',
periodic: {
interval: 123,
timezone: '<string>',
times: ['<string>'],
daysOfWeek: [],
daysOfMonth: [123],
lastDayOfMonth: true,
monthlyPattern: {},
between: {start: '<string>', end: '<string>'},
startDate: '2023-12-25',
endDate: '2023-12-25',
skipDates: ['2023-12-25']
}
},
enabled: true
})
};
fetch('https://api.bold-factory.com/v1/maintenance/preventiveSchedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}Preventive Maintenance Schedules
Update a preventive maintenance schedule
Requires Maintenance.PreventiveSchedules.Write permissions
PUT
/
v1
/
maintenance
/
preventiveSchedules
/
{scheduleId}
Update a preventive maintenance schedule
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Cuerpo
application/json
Respuesta
No Content
⌘I